### Method

# St Icon get_icon_size

#### Declaration [src]

    gint
    st_icon_get_icon_size (
      StIcon* icon
    )

#### Description [src]

Gets the explicit size set using `st_icon_set_icon_size()` for the icon. This is not necessarily the size that the icon will be displayed at.

Gets property | `St.Icon:icon-size`

#### Return value

Type: `gint`

The explicitly set size, or -1 if no size has been set.